I've been searching for a routine to explode minserts but haven't found anything yet that works. However, this one did. It's a vlx that I found on another forum (sorry, don't remember which or I'd give the poster/author the credit)
Just copy it to your Support folder and load it ("AP"). Type "explodem" at the command line to run it. It first asks you to select the block; it then asks you if you want to explode? [No/Yes] Enter No. Yep, enter no. (I know; I tried Yes but it wouldn't work...might be just me though cuz I'm a bit dyslexic; either that or the programmer may be?)
Worked for my situation. Give it a try.
Solved! Go to Solution.
I've been searching for a routine to explode minserts but haven't found anything yet that works. However, this one did. It's a vlx that I found on another forum (sorry, don't remember which or I'd give the poster/author the credit)
Just copy it to your Support folder and load it ("AP"). Type "explodem" at the command line to run it. It first asks you to select the block; it then asks you if you want to explode? [No/Yes] Enter No. Yep, enter no. (I know; I tried Yes but it wouldn't work...might be just me though cuz I'm a bit dyslexic; either that or the programmer may be?)
Worked for my situation. Give it a try.
Solved! Go to Solution.
Solved by rkmcswain. Go to Solution.
Solved by kylei7449. Go to Solution.
If you would like a single one-click command, I wrote something in C# that will do this.
// ExplodeMinsert /// <summary> /// ExplodeMinsert is a command that explodes a <c>MINSERT</c> entity. /// </summary> [CommandMethod("TID", "ExplodeMinsert", "ExplodeMinsert", CommandFlags.Modal)] public void ExplodeMinsert() { // Ask user For old block name PromptEntityOptions PEO = new PromptEntityOptions("Select a MINSERT entity to explode: "); PEO.SetRejectMessage("You need to select a minsert: "); PEO.AddAllowedClass(typeof(MInsertBlock), true); PEO.AllowNone = false; PromptEntityResult PER = Active.Editor.GetEntity(PEO); try { using (Transaction trans = Active.Database.TransactionManager.StartTransaction()) { MInsertBlock oMins = (MInsertBlock)trans.GetObject(PER.ObjectId, OpenMode.ForWrite); oMins.ExplodeToOwnerSpace(); oMins.Erase(); trans.Commit(); }; } catch (Autodesk.AutoCAD.Runtime.Exception ex) { //Throw Exception or ignore if user cancelled command. if (ex.ErrorStatus != ErrorStatus.NullObjectId) { MessageBox.Show("Error Occured in ExplodeMinsert command. " + ex.Message + ", " + ex.HelpLink, "ExplodeMinsert Error", MessageBoxButtons.OK, MessageBoxIcon.Error); }; } }
If you would like a single one-click command, I wrote something in C# that will do this.
// ExplodeMinsert /// <summary> /// ExplodeMinsert is a command that explodes a <c>MINSERT</c> entity. /// </summary> [CommandMethod("TID", "ExplodeMinsert", "ExplodeMinsert", CommandFlags.Modal)] public void ExplodeMinsert() { // Ask user For old block name PromptEntityOptions PEO = new PromptEntityOptions("Select a MINSERT entity to explode: "); PEO.SetRejectMessage("You need to select a minsert: "); PEO.AddAllowedClass(typeof(MInsertBlock), true); PEO.AllowNone = false; PromptEntityResult PER = Active.Editor.GetEntity(PEO); try { using (Transaction trans = Active.Database.TransactionManager.StartTransaction()) { MInsertBlock oMins = (MInsertBlock)trans.GetObject(PER.ObjectId, OpenMode.ForWrite); oMins.ExplodeToOwnerSpace(); oMins.Erase(); trans.Commit(); }; } catch (Autodesk.AutoCAD.Runtime.Exception ex) { //Throw Exception or ignore if user cancelled command. if (ex.ErrorStatus != ErrorStatus.NullObjectId) { MessageBox.Show("Error Occured in ExplodeMinsert command. " + ex.Message + ", " + ex.HelpLink, "ExplodeMinsert Error", MessageBoxButtons.OK, MessageBoxIcon.Error); }; } }
its works great .load the file and type explodem then give yes .
its works great .load the file and type explodem then give yes .
Greetings,
Thank you for the .vlx file worked perfectly to me.
Greetings,
Thank you for the .vlx file worked perfectly to me.
Thanks @Anonymous .
Your solution works like a charm. I'd vote this as the best solution if I could.
Thanks @Anonymous .
Your solution works like a charm. I'd vote this as the best solution if I could.
Bro, it worked for me so i thank you so much. i really appreciate your help.
Bro, it worked for me so i thank you so much. i really appreciate your help.
1. Copy your minsert block to a blank file.
2. Export the drawing as .wmf (windows metafile)
3. Open a new empty drawing
4. Insert the .wmf file
5. The MINSERT BLOCK now appear as Block reference
6. Explode
7. Some entities may be lost but work with the drawing lines
1. Copy your minsert block to a blank file.
2. Export the drawing as .wmf (windows metafile)
3. Open a new empty drawing
4. Insert the .wmf file
5. The MINSERT BLOCK now appear as Block reference
6. Explode
7. Some entities may be lost but work with the drawing lines
Select your object then write the command, FLATTEN then enter, then it will ask you remove hidden lines ?
write command : YES.
its now break but same time it will move automatically from its existing place and it size also will be change.
Select your object then write the command, FLATTEN then enter, then it will ask you remove hidden lines ?
write command : YES.
its now break but same time it will move automatically from its existing place and it size also will be change.
use fllaten command and yes
use fllaten command and yes
flatten command & yes
flatten command & yes
Select your object and use FLATTEN command and ender, and and write command yes.
Select your object and use FLATTEN command and ender, and and write command yes.
This worked great, thank you!
This worked great, thank you!
Ha Ha Ha😂😂
I have found the solution
Type a Command in Command line "FLATTEN" Enter
Select MInsert Block Enter
Type "Y" Enter and wait some second
BOOM BOOM Problem solve 😉
Thanks me Later🤗
If you have any other problem message to me
Ha Ha Ha😂😂
I have found the solution
Type a Command in Command line "FLATTEN" Enter
Select MInsert Block Enter
Type "Y" Enter and wait some second
BOOM BOOM Problem solve 😉
Thanks me Later🤗
If you have any other problem message to me
@surajkumarverma93 wrote:
.... I have found the solution
Type a Command in Command line "FLATTEN" Enter
Select MInsert Block Enter
Type "Y" ....
[This was already suggested here five times, in Messages 18, 28, 29, 30 & 31. Please read through a topic before replying, to avoid adding something completely redundant.]
@surajkumarverma93 wrote:
.... I have found the solution
Type a Command in Command line "FLATTEN" Enter
Select MInsert Block Enter
Type "Y" ....
[This was already suggested here five times, in Messages 18, 28, 29, 30 & 31. Please read through a topic before replying, to avoid adding something completely redundant.]
Can't find what you're looking for? Ask the community or share your knowledge.